<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Registre</title>
        <meta charset="UTF-8"/>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
    </head>
    <body>
        
        <div class="container pt-3">
        <h1>Registre</h1>
        <form method="POST" th:action="@{/registre}">
            <div class="form-group">
            <p>
                <!--El name i id de el nom d'usuari ha de ser username perquè Spring Security el reconegui com a tal-->
                <label for="username">Usuari:</label>
                <input type="text" name="username" id="username" class="form-control"/>
            <p/>
            </div>
            <div class="form-group">
            <p>
                <!--El name i id de la contrasenya ha de ser password perquè Spring Security el reconegui com a tal-->
                <label for="password">Contrasenya:</label>
                <input type="password" name="password" id="password" class="form-control"/>
            <p/>
            </div>
            <div class="form-group">
            <p>
                <label>Selecciona el tipus de rol</label>
                <input type="radio" name="seleccioRol" value="veterinari"/>
                <label>Veterinari</label>
                <input type="radio" name="seleccioRol" value="pacient"/>
                <label>Pacient</label>
            </p>
            </div>
            <button type="submit" class="btn btn-success">Registrarte</button>
        </form>
        </div>

    </body>
</html>
